Bug 719976 - Alert Definitions Page shows 2 sets of tabs
Alert Definitions Page shows 2 sets of tabs
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
All All
urgent Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-07-08 11:11 EDT by Mike Foley
Modified: 2012-02-07 14:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:19:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AS7 Alert Definitions shows 2 sets of tabs (65.54 KB, image/png)
2011-07-08 11:11 EDT, Mike Foley
no flags Details
3 alert definitions on 1 view (55.45 KB, image/png)
2011-08-16 13:46 EDT, Mike Foley
no flags Details
4 sets of allert definitions on 1 view (57.21 KB, image/png)
2011-08-16 13:47 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-07-08 11:11:31 EDT
Created attachment 511943 [details]
AS7 Alert Definitions shows 2 sets of tabs

Description of problem:  AS7 Alert Definitions Page shows 2 sets of tabs.  See attached image


Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Heiko W. Rupp 2011-07-09 03:42:28 EDT
This has nothing to do with the AS7 plugin, but rather is a general GWT UI issue. 
I have seen such behavior when not leaving the list with "back to list", but by clicking on e.g. history and then again clicking on something that triggers a list view.
Comment 2 John Mazzitelli 2011-08-12 09:15:55 EDT
jay fixed something that looks related to this yesterday. that may have fixed this problem
Comment 3 John Mazzitelli 2011-08-16 13:28:05 EDT
i am flipping this to ON_QA. Jay S. fixed this problem very recently. I don't have the commit hashcode but it was checked in within the past week.
Comment 4 John Mazzitelli 2011-08-16 13:28:47 EDT
assigning this to jay to affix his name to the issue - he already fixed this.
Comment 5 Mike Foley 2011-08-16 13:46:34 EDT
Created attachment 518549 [details]
3 alert definitions on 1 view
Comment 6 Mike Foley 2011-08-16 13:47:08 EDT
Created attachment 518550 [details]
4 sets of allert definitions on 1 view
Comment 7 Mike Foley 2011-08-16 13:50:08 EDT
retested 8/16 with daily build.  attached screenshot showing 3 sets of alerts on 1 view.  also attached screenshot showing 4 sets of alerts on 1 view.  additionally, adding reproduction steps, as follows:  

1) create alert definition
2) click alert history
3) don't click the "back" icon
4) click alert definition
5) click on the row for the alert you defined in step 1
6) you should now see multiple alerts on 1 view.
Comment 8 John Mazzitelli 2011-08-16 14:19:09 EDT
leaving this to ON_DEV in jay's bucket. there is confusion where this fix actually lives. Apparently, not in the master branch. I'll let Jay figure it out :)
Comment 9 Jay Shaughnessy 2011-08-17 10:54:24 EDT
Master commit: 5134f1e7f56086a377a74203cdb829b84187fc5b
Comment 10 Mike Foley 2011-08-17 15:26:27 EDT
verified 08/17 build.  by following the repro steps in comment #7 and additional ad hoc testing in this area.
Comment 11 Mike Foley 2012-02-07 14:19:52 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.